<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <!-- font-awe -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
        integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="/dist/output.css">
    <!-- <link rel="stylesheet" href="/assets/css/main.css"> -->
</head>

<body>
    <header>
        <a href="./app/views/admin.html">Trang admin</a>
        <div class="cart-icon" id="cart-icon">
            <button onclick="turnOnCartList()">
                <i class="fa-solid fa-cart-shopping"><span id="numberOfCartItem">0</span></i>
            </button>

        </div>

    </header>
    <main>
        <div class="selection">
            <select class="selection-wrapper" name="cars" id="category" onchange="fetchData()">
                <option value="samsung">Samsung</option>
                <option value="iphone">Iphone</option>
                <option value="realme">Realme</option>
                <option value="Oppo">Oppo</option>
            </select>
        </div>
        <div class="main">
            <div class=" display container px-4 grid grid-cols-1 md:grid-cols-5 gap-4" id="productList">
                <!-- 
                <div class="item mx-auto">
                    <div class="item-icon">
                        <i class="fa-brands fa-apple"></i>
                        <span>in stock</span>
                    </div>
                    <div class="item-img">
                        <img class="card-img-top" src="../../assets/img/images.jpg" alt="Card image cap">
                        <p>$ 400</p>
                    </div>
                    <div class="item-body">
                        <div class="item-line">
                            <p>Airpods Pro</p>
                            <i class="fa-solid fa-heart"></i>
                        </div>
                        <div class="wrapper">
                            <p><b>Wireless Noise Cancelling Earphones</b></p>
                            <p class="item-infor">AirPods Pro have been designed to deliver active Noise
                                Cancellation
                                for immersive sound. Transparancy mode so much can hear your surroundings.</p>
                            <div class="item-purchase">
                                <button><span class="mr-3">Add to cart</span><i
                                        class="fa-solid fa-cart-plus"></i></button>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="item mx-auto">
                    <div class="item-icon">
                        <i class="fa-brands fa-apple"></i>
                        <span>in stock</span>
                    </div>
                    <div class="item-img">
                        <img class="card-img-top"
                            src="../../assets/img/ipad-pro-12-select-wifi-spacegray-202003_FMT_WHH.png"
                            alt="Card image cap">
                        <p>$ 400</p>
                    </div>
                    <div class="item-body">
                        <div class="item-line">
                            <p>Airpods Pro</p>
                            <i class="fa-solid fa-heart"></i>
                        </div>
                        <div class="wrapper">
                            <p><b>Wireless Noise Cancelling Earphones</b></p>
                            <p class="item-infor">AirPods Pro have been designed to deliver active Noise
                                Cancellation
                                for immersive sound. Transparancy mode so much can hear your surroundings.</p>
                            <div class="item-purchase">
                                <button><span class="mr-3">Add to cart</span><i
                                        class="fa-solid fa-cart-plus"></i></button>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="item mx-auto">
                    <div class="item-icon">
                        <i class="fa-brands fa-apple"></i>
                        <span>in stock</span>
                    </div>
                    <div class="item-img">
                        <img class="card-img-top" src="../../assets/img/apple-watch-pcq.png" alt="Card image cap">
                        <p>$ 400</p>
                    </div>
                    <div class="item-body">
                        <div class="item-line">
                            <p>Airpods Pro</p>
                            <i class="fa-solid fa-heart"></i>
                        </div>
                        <div class="wrapper">
                            <p><b>Wireless Noise Cancelling Earphones</b></p>
                            <p class="item-infor">AirPods Pro have been designed to deliver active Noise
                                Cancellation
                                for immersive sound. Transparancy mode so much can hear your surroundings.</p>
                            <div class="item-purchase">

                                <div class="item-btn">
                                    <button><span class="mr-3">Add to cart</span><i
                                            class="fa-solid fa-cart-plus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="item mx-auto">
                    <div class="item-icon">
                        <i class="fa-brands fa-apple"></i>
                        <span>in stock</span>
                    </div>
                    <div class="item-img">
                        <img class="card-img-top" src="../../assets/img/apple-watch-pcq.png" alt="Card image cap">
                        <p>$ 400</p>
                    </div>
                    <div class="item-body">
                        <div class="item-line">
                            <p>Airpods Pro</p>
                            <i class="fa-solid fa-heart"></i>
                        </div>
                        <div class="wrapper">
                            <p><b>Wireless Noise Cancelling Earphones</b></p>
                            <p class="item-infor">AirPods Pro have been designed to deliver active Noise
                                Cancellation
                                for immersive sound. Transparancy mode so much can hear your surroundings.</p>
                            <div class="item-purchase">

                                <div class="item-btn">
                                    <button><span class="mr-3">Add to cart</span><i
                                            class="fa-solid fa-cart-plus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="item mx-auto">
                    <div class="item-icon">
                        <i class="fa-brands fa-apple"></i>
                        <span>in stock</span>
                    </div>
                    <div class="item-img">
                        <img class="card-img-top" src="../../assets/img/apple-watch-pcq.png" alt="Card image cap">
                        <p>$ 400</p>
                    </div>
                    <div class="item-body">
                        <div class="item-line">
                            <p>Airpods Pro</p>
                            <i class="fa-solid fa-heart"></i>
                        </div>
                        <div class="wrapper">
                            <p><b>Wireless Noise Cancelling Earphones</b></p>
                            <p class="item-infor">AirPods Pro have been designed to deliver active Noise
                                Cancellation
                                for immersive sound. Transparancy mode so much can hear your surroundings.</p>
                            <div class="item-purchase">

                                <div class="item-btn">
                                    <button><span class="mr-3">Add to cart</span><i
                                            class="fa-solid fa-cart-plus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> -->

            </div>
        </div>



        <div class="cart"></div>
        <div class="stock-limit"></div>
        </div>
        <div class="cart-wrapper">
            <div class="cart">
                <div class="cart-title">
                    <p>cart</p>
                    <button onclick="turnOffCartList()">
                        <i class="fa-solid fa-x"></i>
                    </button>
                </div>

                <div class="cart-content" id="cart-content">

                    <div class="cart-item grid grid-cols-7 gap-4">
                        <div class="col-span-2">
                            <img class="cart-image" src="../../assets/img/apple-watch-pcq.png" alt="apple-watch">
                        </div>
                        <div>${p.name}h</div>
                        <div class=" col-span-2">
                            <button onclick="addProductToCart()"><i class="fa-solid fa-plus"></i></button>
                            <input class="idRepresention" type="hidden" value="">
                            <span>1</span>
                            <button onclick="removeProductFromCart()"><i class="fa-solid fa-minus"></i></button>
                        </div>
                        <div>
                            <span>$</span><span>200</span>
                        </div>
                        <div>
                            <button onclick="">
                                <i class="fa-solid fa-trash"></i>
                            </button>
                        </div>
                    </div>

                    <div class="cart-item grid grid-cols-7 gap-4">
                        <div class="col-span-2">
                            <img class="cart-image" src="../../assets/img/apple-watch-pcq.png" alt="apple-watch">
                        </div>
                        <div>${p.name}h</div>
                        <div class=" col-span-2">
                            <button onclick="addProductToCart()"><i class="fa-solid fa-plus"></i></button>
                            <input class="idRepresention" type="hidden" value="">
                            <span>1</span>
                            <button onclick="removeProductFromCart()"><i class="fa-solid fa-minus"></i></button>
                        </div>
                        <div>
                            <span>$</span><span>200</span>
                        </div>
                        <div>
                            <button onclick="">
                                <i class="fa-solid fa-trash"></i>
                            </button>
                        </div>
                    </div>

                </div>
                <div class="cart-result">
                    <div class="payment-bill">
                        <span>Total: $</span>
                        <span id="totalBill">3300</span>
                    </div>
                    <div class="payment-btn">
                        <button><span>Purchase</span><i class="fa-brands fa-cc-visa text-yellow-300"></i></button>
                        <button onclick="clearCartList()"><span>Clear Cart</span><i
                                class="fa-solid fa-trash text-rose-700"></i></button>
                    </div>
                </div>

            </div>
        </div>


    </main>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.1.3/axios.min.js"
        integrity="sha512-0qU9M9jfqPw6FKkPafM3gy2CBAvUWnYVOfNPDYKVuRTel1PrciTj+a9P3loJB+j0QmN2Y0JYQmkBBS8W+mbezg=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    <script type="module" src="./app/controllers/main.js"></script>

</body>

</html>